<?php

//--------------------------------
// 項目ごとのチェック
//--------------------------------

///////////チェックテーブル////////
//array要素-	#1 改行諾否 1：改行コード使用可能 0：不可、#2 項目名、#3 必須 1:必須 0:任意
//         		#4 型、#5 桁数または値の上限
///////////////////////////////////
$check_vars = array(
'category'=>array(0,"問合せ項目",1,RADIO,2),
'first_name'=>array(0,"お名前　（姓）",1,STRING,80),
'last_name'=>array(0,"お名前　（名）",1,STRING,80),
'mailaddress'=>array(0,"メールアドレス",1,EMAIL,254),
'comment'=>array(1,"お問合せ内容",1,NLSTRING,500),
'company'=>array(0,"会社名",0,STRING,80),
'section'=>array(0,"部署名",0,STRING,80),
'postcode'=>array(0,"郵便番号",0,POSTCODE,7),										//#001 8>
'pref'=>array(0,"都道府県",0,STRING,4),
'address'=>array(0,"住所",0,STRING,80),
'ftel'=>array(0,"ご自宅の（固定）電話番号",0,FTELNO1,0),				//#001 FTELNO>
'mtel'=>array(0,"携帯電話番号",0,MTELNO1,0),										//#001 MTELNO>
'req_category'=>array(0,"希望内容",0,CHECKBOX,2),
'promote'=>array(0,"このサイトを知ったきっかけ",0,LISTBOX,3),
);

///////////項目名テーブル////////
// ラジオボタン、チェックボックスの表示ラベルを指定するテーブル
// フォームテンプレートform_tpl.htmと密接に関係しています。
// input type="radio" or "checkbox" .... value="x" 
// x は以下の初期値に１ずつ増分した値を持っていることを前提にエラーチェックやcheckedの付加をしています。
// ラベルを追加するときは、上記$check_varsの上限値も変更する必要があります。    		
///////////////////////////////////

//初期値、ラベルをカンマ区切り

$label_vars = array(
'category'=>array(1,"資料請求","その他"),
'req_category'=>array(1,"パンフレット希望","デモ希望"),
'promote'=>array(1,"知り合いから聞いた","ネットの検索結果から見つけた","その他"),
);
///////////組み合わせチェックテーブル////////	#021	is>条件付必須	eq>一致
// eq の例　’mailaddress’=>array("eq","mailaddress_copy","メールアドレスが一致していません。"),
$cmb_error = array(
'postcode'=>array("is","category","1","【問合せ項目】が現在の指定の時、『郵便番号』が指定されていません。"),
'address'=>array("is","category","1","【問合せ項目】が現在の指定の時、『住所』が指定されていません。"),
'company'=>array("is","category","1","【問合せ項目】が現在の指定の時、『会社名』が指定されていません。"),
'section'=>array("is","category","1","【問合せ項目】が現在の指定の時、『部署名』が指定されていません。"),
'pref'=>array("is","category","1","【問合せ項目】が現在の指定の時、『都道府県』が指定されていません。"),
);
?>
