<?php
//---------------------納入時に最終チェック----------------------
define("DBG","0");// !!! 最後は０に
//---------------------------------------------------------------

//////////////////////////////////////////////////////////////////
//
//    システム用定数
//
//////////////////////////////////////////////////////////////////

define("MYDOMAIN",$_SERVER['SERVER_NAME']);
define("MYPASS",dirname($_SERVER['PHP_SELF'])."/");
//---------------------メール用----------------------------------
define("TEXTMAIL","text");
//---------------------形式チェック用----------------------------
define("CHECK","1");
define("STRING","2");
define("NZINT","3");
define("NLSTRING","4");
define("RADIO","5");
define("INT","7");
define("CHECKBOX","12");
define("EMAIL","13");//#004
define("POSTCODE","14");//#004#012
define("LISTBOX",28);//#012 
define("FTELNO",29);//#012 固定電話番号ハイフンあり
define("FTELNO1",30);//#012 固定電話番号ハイフンなし
define("MTELNO",31);//#012 携帯電話番号ハイフンあり
define("MTELNO1",32);//#012 携帯電話番号ハイフンなし
define("MTELPRE","070|080|090");//#012　060を睨んでdefineに切出し
//#012 携帯に060採用された時はこっちに変更　define("MTELPRE","060|070|080|090");
define("SELANY",33);//#014 任意のvalueを持つselect文
define("RDOANY",34);//#014 任意のvalueを持つinput radio文
define("CHKANY",35);//#014 任意のvalueを持つinput check文
define("KKANA",36);//#012 カタカナ #150806 comininew統合
define("HKANA",37);//#012 ひらがな	#150806 comininew統合

//---------------------コード用----------------------------------
define("UTF","utf-8");
define("UTF8",UTF);
define("SJIS","Shift_JIS");
define("MYENCODE",UTF);
//---------------------その他------------------------------------
define("NL","\n");
define("FTELDIV","3,3,4");//#028
define("MTELDIV","3,4,4");//#028
define("POSTDIV","3,4");//#028

//////////////////////////////////////////////////////////////////
//
//    ユーザー定義定数
//
//////////////////////////////////////////////////////////////////
my_req("configure.".CGITYPE); //#005

//---------------------コード制御--------------------------------//#111220 関数に内部エンコードを教えるため、位置変更
$interenc = UTF;//従来処理に対する互換性のため
mb_language('Japanese');
mb_internal_encoding(UTF);
mb_regex_encoding(UTF);
if (FALSE===ini_set('default_charset', MYENCODE)) my_die(1,41,"default_charsetの設定に失敗しました。");//#140410
	//#160212 5.6対応 ini_set('mbstring.http_input',...>
mb_http_output('pass');
$transcode=0;

//////////////////////////////////////////////////////////////////
//
//    関数定義
//
//////////////////////////////////////////////////////////////////

//---------------------セッション管理用----------------------------------

// ドメイン、パス指定のセッションクッキーの作成＆セッション開始　クッキーモンスター対策　##3-1##
function mysess_start($pass,$domain) {
	session_set_cookie_params ( 0, $pass, $domain, 1);//#120109
	session_start();
	return session_id();
}
//
function mysess_end() {
	$_SESSION = array(); 
	destory_sesscookie(MYPASS,MYDOMAIN);
	session_destroy();
}
// ドメイン、パス指定のセッションクッキーの削除　##3-5##
function destory_sesscookie($pass,$domain) {
	if (isset($_COOKIE[session_name()])) setcookie(session_name(), '', time()-42000,  $pass , $domain); 
}

//---------------------メール用----------------------------------
function is_quote($str,$cnv="") {//#026 160129
	if (preg_match('/[\(\)<>@,;:\\\\"\.\[\]]/',$str)) $rtn = 0;
	else $rtn = 1;
	if (""!=$cnv && !$rtn) {
		$rtn = str_replace(array('(',')','<','>','@',',',';',':',"\\",'"','.','[',']'),
											array('（','）','＜','＞','＠','，','；','：',"￥",'”','．','［','］'),$str);
	} else {$rtn=$str;}
	return $rtn;
}
//
function mymail($type,$title,$comment,$fromemail,$fromname,$toemail) {
	if (TEXTMAIL == $type) {/////////////テキストメール
		if ("" == $fromname) {
			$tmpfrom = "From: " . $fromemail;
		} else {
			$fromname = is_quote($fromname,"cnv");//#160129
			$tmpfrom = "From: " . mb_encode_mimeheader($fromname) . " < $fromemail>" ;
		}
		$addparam = "-f ".ABUSE;//Return-Path
 		if (FALSE == mb_send_mail($toemail,$title,$comment,$tmpfrom,$addparam)) 
			my_die(1,3,"mb_send_mailに失敗","<br>メールの送信に失敗しました。");
		return;
	} else {/////////////////////////////HTMLメール
	}
}
//
function unqname($pass,$domain,$counter) {
	$sid = mysess_start($pass,$domain);//----セッションIDの確保
	$filename=$counter;
	if (FALSE === ($fp = fopen($filename, "r+"))) my_die(1,5,"カウンタファイルのオープンに失敗しました。","<br>メールの送信に失敗しました。");
	stream_set_write_buffer($fp,0);
	if (flock($fp, LOCK_EX/*#003,&$block*/)) { // 排他ロック
		//#003 if ($block) my_die(1,6,"カウンタファイルのロックに失敗しました。","<br>メールの送信に失敗しました。");
		if (FALSE !== ($tmp = fgets($fp))) {
			$tmp+=1;
			if (-1 == fseek ( $fp , 0)) my_die(1,7,"カウンタファイルのfseekに失敗しました。","<br>メールの送信に失敗しました。");
			if (!fputs($fp, $tmp)) my_die(1,8,"カウンタファイルの書き込みに失敗しました。","<br>メールの送信に失敗しました。");			
		} else my_die(1,9,"カウンタファイルの読み込みに失敗しました。","<br>メールの送信に失敗しました。");
		flock($fp, LOCK_UN); // ロックの解放
	} else {
	    my_die(1,10,"カウンタファイルのロックに失敗しました。","<br>メールの送信に失敗しました。");
	}
	fclose($fp);
	mysess_end();
	return array($sid,$tmp);
}
//
function makefile($check_vars,$post,$label_vars) {
	//------------ファイル名の生成
	$tmp = unqname(MYPASS,MYDOMAIN,MBOXPASS."counter.txt");
	$filename = MBOXPASS.$tmp[0]."-$tmp[1]";
	$fp = fopen($filename.".txt", "w");//メール本文ファイル
	$header = array();//CSVファイルのヘッダー行
	$dataline = array();//CSVファイルのデータ行
	$i = 0;
	//#160308----------オプションにより、以下を挿入
	if (INSDATE) {
		$header[0] = "受付番号";
		$header[1] = "受付日時";
		$dataline[0] = $tmp[1];
		$dataline[1] = date("Y年m月d日　H：i：s");
		mb_convert_variables(SJIS, UTF, $tmp,$header);
		mb_convert_variables(SJIS, UTF, $tmp,$dataline);
		$i = 2;
	}//---------#160308
	$savename = $tmp;
	unset($tmp);
	if (isset($post['address'])) {//#151120 存在チェック追加
		$post['address'] = (isset($post['pref'])) ? $post['pref'].$post['address'] : $post['address'];//#012 151120
		if (isset($post['pref'])) unset($post['pref']);//#012 151120
	}//#151120
	foreach ($check_vars as $key=>$value) {
		if ("pref"!=$key) {//#012
			switch($value[3]) {
				case RADIO:
				case LISTBOX://#012	#151116
					$tmplist = "";//#022 #151118
					if (""!=$post[$key]) {//#022 #151118
						$tmp = $post[$key]-$label_vars[$key][0]+1;
						$rtn = fputs($fp,"【".$check_vars[$key][1]."】"."\n".$label_vars[$key][$tmp]."\n");
						$dataline[$i] = $label_vars[$key][$tmp];
					} else {//#022 #151118-------
						$rtn = fputs($fp,"【".$check_vars[$key][1]."】"."\n".$tmplist."\n");
						$dataline[$i] = "";
					}//----------#022 #151118
					break;
				case CHECKBOX:
					$tmplist = "";//#020
					if (is_array($post[$key])) {
						$tmpinit = $label_vars[$key][0];
						for ($j=0;$j<my_count($post[$key]);$j++) {
							$tmpidx = $post[$key][$j] - $tmpinit +1;
							$tmplist .= $label_vars[$key][$tmpidx]."　";
						}
					}
					$rtn = fputs($fp,"【".$check_vars[$key][1]."】"."\n".$tmplist."\n");
					$dataline[$i] = $tmplist;
					break;
				//#028始まり----------------------
				case FTELNO1:
				case MTELNO1:
				case POSTCODE:
					if ($value[3]==POSTCODE) {$tmpary = explode(",",POSTDIV); }
					else {$tmpary = ($value[3]==FTELNO1) ? explode(",",FTELDIV) : explode(",",MTELDIV);}
					$tmplist = "";
					$off = 0;
					if (""!=$post[$key]) {
						for ($j=0;$j<count($tmpary);$j++) {
							$tmplist .= mb_substr($post[$key],$off,$tmpary[$j])."-";
							$off += $tmpary[$j];
						}
						$tmplist = mb_substr($tmplist,0,mb_strlen($tmplist)-1);
					}
					//---------------#028終り
					$rtn = fputs($fp,"【".$check_vars[$key][1]."】"."\n".$post[$key]."\n");
					$dataline[$i] = $tmplist;
					break;
				default:
					$rtn = fputs($fp,"【".$check_vars[$key][1]."】"."\n".$post[$key]."\n");
					$dataline[$i] = $post[$key];
					break;
			}
			if (!$rtn) my_die(1,12,"メール本文ファイルの書き込みに失敗しました。","<br>メールの送信に失敗しました。");
			$tmp = $check_vars[$key][1];
			mb_convert_variables(SJIS, UTF, $tmp,$dataline[$i]);
			$header[$i] = $tmp;
			$i++;
		}
	}
	$fpc = fopen($filename.".csv", "w");//CSVファイル
	$rtn = fputcsv($fpc, $header);
	if (!$rtn) my_die(1,13,"CSVファイルの書き込みに失敗しました。","<br>メールの送信に失敗しました。");
	fputcsv($fpc, $dataline);
	if (!fclose($fp)) my_die(1,18,"メール本文ファイルの書き込みcloseに失敗しました。","<br>メールの送信に失敗しました。","\n filename=$filename");//#120110
	if (!fclose($fpc)) my_die(1,19,"CSVファイルの書き込みcloseに失敗しました。","<br>メールの送信に失敗しました。","\n filename=$filename");//#120110
	return $savename;
}
//

//---------------------画面表示用----------------------------------
function asenv_stripslashes($str) {
  global $transcode;
  if (get_magic_quotes_gpc()==1 && !$transcode) {
    return stripslashes($str);
  } else {
    return $str;
  }
}
//
function rep_display($scr,$check_vars,$post,$error,$label_vars,$allemsg="") {
	if (FALSE===($fpsub = fopen($scr, "r"))) my_die(1,14,"画面表示用テンプレートの読み込みに失敗しました。ファイル名：$scr"); ;
	$contents = fread($fpsub, filesize($scr));
	fclose($fpsub);
	//-----------------------
	// パンくずリストの生成
	//-----------------------
	$contents = str_replace('%_FORMNAME_%' , FORMNAME , $contents);
	$contents = str_replace('%_HOMENAME_%' , HOMENAME , $contents);
	$contents = str_replace('%_ITITLE_%' , ITITLE , $contents);
	$contents = str_replace('%_CTITLE_%' , CTITLE , $contents);
	$contents = str_replace('%_FORM_INPUT_NAME_%' , FORMINPUT , $contents);
	$contents = str_replace('%_FORM_CONFIRM_NAME_%' , FORMCNF , $contents);
	//$contents = str_replace('%_HOME_%' , "http://".MYDOMAIN."/" , $contents);//#006
	$contents = str_replace('%_HOME_%' , TRANSURL , $contents);//#006
	//-----------------------

	//-----------------------
	// 送信ボタンは無条件に表示する。エラーがある時に送信ボタンを押されたら、同じ画面を出す。
	//-----------------------
	if (NULL!=$allemsg) $contents = str_replace('%_depend_error_%' , 1 , $contents);
	else $contents = str_replace('%_depend_error_%' , 2 , $contents);
	$contents = str_replace('%_cgitype_%' , CGITYPE , $contents);//#005
	//-----------------------
	foreach ($check_vars as $key=>$value) {
		switch($value[3]) {
			case SELANY://--for select------#014始まり
				$tmp = $post[$key];//!!!暫定
				$temp = (NULL!=$post[$key]) ? $label_vars[$key][$tmp] : " ";
				$contents = str_replace('%_'.$key.'_%' , hsc($temp) , $contents);
				$contents = str_replace('%_'.$key.'_error_%' , $error[$key] , $contents);
				//--------------<select  name="$key"><option value="$post[$key]"....にselectedを付加
 				if (3==$_GET['state']) {
					$tmp1 = $contents;
					$save = "";
					while (NULL!==($tmp = get_htmltagname4($tmp1,UTF,array("select")))) { //select文がなくなるまで
						if (mb_ereg('name="'.$key.'"',$tmp[2])) { //該当selectか？
							$tmp2 = $tmp[1];//--selectタグ以降のデータ
							$save .= $tmp[3] . '<'.$tmp[2];//ページの先頭から[3]<selectタグの終わり[2]まで !!
							while (NULL!==($tmps = get_htmltagname4($tmp2,UTF,array("option")))) { 
 								if (mb_ereg('value="'.$post[$key].'"',$tmps[2])) {//該当optionか？
									$save .= $tmps[3] . '<'.str_replace('>' , ' selected>' , $tmps[2]);
								} else {
									$save .= $tmps[3] . '<'.$tmps[2];
								}
								$tmp2 = $tmps[1];
							}
						} else { //該当select以外
							$save .= $tmp[3] . '<'.$tmp[2];
						}
						$tmp1 = $tmp2;// !!
					}//---end while---------
					$contents = $save.$tmp1;//#111215
				}
				//--------------
				break;
			case RADIO:
			case RDOANY://--for radio-------
				if (RADIO==$value[3]) {//#150513
					$tmp = $post[$key]-$label_vars[$key][0]+1;
					$temp = (NULL!=$post[$key]) ? $label_vars[$key][$tmp] : " ";
				} else {//#150513
					$temp = (NULL!=$post[$key]) ? $label_vars[$key][$post[$key]] : " ";
				}
				$contents = str_replace('%_'.$key.'_%' , hsc($temp) , $contents);
				// Eエラー抑止
				$temsg = (isset($error[$key])) ? $error[$key]: "";
				$contents = str_replace('%_'.$key.'_error_%' , $temsg , $contents);
				//--------------input name="$key" type="radio" value=$post[$key]....にcheckedを付加
 				if (3==$_GET['state']) {
					$tmp1 = $contents;
					$save = "";
					while (NULL!==($tmp = get_htmltagname4($tmp1,UTF))) {//input文がなくなるまで
						if (mb_ereg('name="'.$key.'"',$tmp[2]) && mb_ereg('value="'.$post[$key].'"',$tmp[2])) 
							$save .= $tmp[3] . '<'.str_replace('>' , ' checked>' , $tmp[2]);
						else
							$save .= $tmp[3] . '<'.$tmp[2];
						$tmp1 = $tmp[1];
					}
					$contents = $save.$tmp1;//#111215
				}
				//--------------
				break;
			case CHECKBOX:
			case CHKANY://--for checkbox----
				$tmplist = "";//#020	#150825
				if (is_array($post[$key])) {
					if (CHECKBOX==$value[3]) {$tmpinit = $label_vars[$key][0];}//#150514
					for ($i=0;$i<my_count($post[$key]);$i++) {
						$tmpidx = (CHECKBOX==$value[3]) ? $post[$key][$i] - $tmpinit +1 : $post[$key][$i];//#150514
						$tmplist .= $label_vars[$key][$tmpidx]."　";
					}
				}
				$contents = str_replace('%_'.$key.'_%' , hsc($tmplist) , $contents);
				//Eエラー抑止
				$temsg = (isset($error[$key])) ? $error[$key]: "";
				$contents = str_replace('%_'.$key.'_error_%' , $temsg , $contents);
				//--------------input name="$key[]" type="checkbox" value=$post[$key][]....にselectedを付加
 				if (3==$_GET['state']) {
					$tmp1 = $contents;
					$save = "";
					while (NULL!==($tmp = get_htmltagname4($tmp1,UTF))) {//input文がなくなるまで
						$hit=0;
						//if (mb_ereg('name="'.$key,$tmp[2])) {#150825
						if (preg_match('/name="'.$key.'\[/',$tmp[2])) {//#020	150825
							for ($i=0;$i<my_count($post[$key]);$i++) {
								if (mb_ereg('value="'.$post[$key][$i].'"',$tmp[2])) {
									$hit = 1;
									break;
								}
							}
						}
						if ($hit)
							$save .= $tmp[3] . '<'.str_replace('>' , ' checked>' , $tmp[2]);
						else
							$save .= $tmp[3] . '<'.$tmp[2];
						$tmp1 = $tmp[1];
					}
					$contents = $save.$tmp1;//#111215
				}
				//--------------
				break;
			case LISTBOX://#012 追加
				$tmp = $post[$key]-$label_vars[$key][0]+1;
				$temp = (NULL!=$post[$key]) ? $label_vars[$key][$tmp] : " ";
				$contents = str_replace('%_'.$key.'_%' , hsc($temp) , $contents);
				$temsg = (isset($error[$key])) ? $error[$key]: "";//#151030 Eエラー抑止
				$contents = str_replace('%_'.$key.'_error_%' , $temsg , $contents);
				//--------------select/optionにselectedを付加 #150910全面修正
				if (3==$_GET['state']) {//#151030　$post['state']を削除
					$tmp1 = $contents;
					$save = "";//ページの先頭から処理済部分をため込む。
					while (NULL!==($tmp = get_htmltagname4($tmp1,UTF8,array("select")))) {//select文がなくなるまで
						if (mb_ereg('name="'.$key.'"',$tmp[2])) {
							$temp1 = $tmp[1];//selectの次からページの最後まで
							$save .= $tmp[3].'<'.$tmp[2];
							$selend = 0;
							while (0==$selend) {// select-/selectまで---1select
								$temp = get_htmltagname4($temp1,UTF8,array("option","/select"));//option文がなくなるまで
								if (NULL!==$temp) {// option or /select
									if ("option"==$temp[0]) { 
										if (mb_ereg('value="'.$post[$key].'"',$temp[2])) 
											{$save .= $temp[3] . '<'.str_replace('>' , ' selected>' , $temp[2]);}
										else
											{$save .= $temp[3].'<'.$temp[2];}
									} else {
											$selend=1;
											$save .= $temp[3].'<'.$temp[2];
									}
									$tmp[1]= $temp1= $temp[1];//　optionまたは/selectの次からページの最後まで
								} else {$selend=1;}//option or /selectはない。
							}// select-/selectまで---1select 完了
						}	else {//該当selectじゃない。
							$save .= $tmp[3] . '<'.$tmp[2];//ページの先頭から見つけたタグの終わりまで。
						}
						$tmp1 = $tmp[1];
					}//select検出終了
					$contents = $save.$tmp1;//#111215
				}
				//#150910--------------
				break;
			default:
				if (!$value[0] || $_GET['state'] !=1) $contents = str_replace('%_'.$key.'_%' , hsc($post[$key]) , $contents);
				else $contents = str_replace('%_'.$key.'_%' , hsc_br($post[$key]) , $contents);
				$temsg = (isset($error[$key])) ? $error[$key]: "";//#151014 Eエラー抑止
				$contents = str_replace('%_'.$key.'_error_%' , $temsg , $contents);
				break;
		}
	}
	$contents = str_replace('%_all_error_message_%' , $allemsg , $contents);
	//------------hiddenで送るinput文を生成
	if (1==$_GET['state']) {//確認画面
		$contents = str_replace("<!--%_hidden_%-->",hidden2($post),$contents);
	}
	hecho($contents);
}
//
function hsc($str) {
  return htmlspecialchars($str,ENT_QUOTES);//##5-1##
}
//
function hsc_br($str) {
  $tmp = htmlspecialchars($str,ENT_QUOTES);//##5-1##
	return nl2br($tmp);
}
//
function hidden2($post) {
	$temp = '';
	foreach ($post as $key=>$value) {
		if (!is_array($post[$key])) {
			$temp .= '<input type="hidden" name="' . $key.'" value="';
			$temp .= hsc($value);
			$temp .= '" />'.NL;
		} else {//----checkbox
			for ($i=0;$i<my_count($post[$key]);$i++) {
				$temp .= '<input type="hidden" name="' . $key.'[' . $i . ']" value="';
				$temp .= $value[$i];
				$temp .= '" />'.NL;
			}
		}
	}
	return $temp;
}
//-----------------------------------------------------------
//--$testvar中の(1)タグと(2)←タグで囲まれた部分(3)そのタグ以降の残り(4)先頭から当該タグまでのデータを返す
//-----------------------------------------------------------
function get_htmltagname4($testvar,$encode,$stag="") {
	$special_tag = array(
	"input"
	);
	if (NULL==$testvar) return NULL;
	$s_tag = (NULL!=$stag) ? $stag : $special_tag;
	mb_regex_encoding($encode);
	mb_ereg_search_init($testvar).NL;
	$result = "";
	//-----------------------------------------------------------
	//--METAタグを見つけるか、データーの終わりになるまで、ループ
	//-----------------------------------------------------------
	while (!is_array($result) && "eof"!=$result) {
		$spos = mb_ereg_search_pos('<');//result is array 0:位置　1：長さ
		if (is_array($spos)) {
			$epos = mb_ereg_search_pos('>');
			if (is_array($epos)) {
				//-----------------------------------------------------------
				//--タグを検出。METAタグか調べる。
				//-----------------------------------------------------------
				for ($i=0;$i<my_count($s_tag);$i++) {
					if (mb_eregi($s_tag[$i],mb_substr($testvar , $spos[0]+1 , strlen($s_tag[$i]),"ASCII"))) break;
				}
				if ($i<my_count($s_tag)) {
					unset($result);
					$s=$spos[0]+1;
					$l=$epos[0]-$spos[0];
					$result[0]=$s_tag[$i];//(1)タグ名
					$tmp1 = explode(" ",$result[0]);
					if (false!=$tmp1) $result[0] = $tmp1[0];//(1)オペランドのあるタグ名
					$remlen = mb_strlen($testvar,"ASCII")-$epos[0];
					if (1<$remlen) {
						$s = $epos[0]+1;
						$result[1]=mb_substr($testvar,$s,$remlen,"ASCII");//(3)そのタグ以降の残り
					}  else {
						$result[1]=NULL;
					}
					$result[2]=mb_substr($testvar,$spos[0]+1,$l,"ASCII");//(2)↑タグで囲まれた部分 !! <の次から
					$result[3]=mb_substr($testvar,0,$spos[0],"ASCII");//(4)サーチした変数の先頭から↑タグの直前までの部分
				} else {////--強調タグでないため、次のタグを探す。
				}
			} else $result="eof";
	  } else $result="eof";
	}
	$result = (is_array($result)) ? $result : NULL;
	return $result;
}
// HTMLタグを有効にするecho
function hecho($str) {
  echo $str;
}
//
function hecho_br($str) {
  echo nl2br($str);
}

//---------------------サニタイズ用----------------------------------
function Stlip_NLp($ex) {//#003 関数丸ごと入替
	if (is_array($ex) && 0<my_count($_POST)) {
		$t = array();
		for ($i=0;$i<my_count($ex);$i++) {
			$t[$ex[$i]] = (isset($_POST[$ex[$i]])) ? $_POST[$ex[$i]] : "";
		}
	}
	if (my_count($_GET )>0) $_GET    = array_map("stlip_nl" ,$_GET);
	if (my_count($_POST)>0) $_POST = array_map("stlip_nl1" ,$_POST );
	if (my_count($_COOKIE)>0) $_COOKIE = array_map("stlip_nl" ,$_COOKIE );
	if (my_count($_SERVER)>0 ) $_SERVER = array_map("stlip_nl" ,$_SERVER );
	if (is_array($ex) && 0<my_count($_POST)) {
		for ($i=0;$i<my_count($ex);$i++) {//#151016　count>my_...
			if (isset($_POST[$ex[$i]])) $_POST[$ex[$i]] = $t[$ex[$i]];
		}
	}
}

// NULLバイトの除去 ##4-1##
function sanitize($str) {
	$temp = str_replace("\x1a", "", $str);//eof
	//$temp = mb_convert_encoding($temp,SJIS,SJIS);//マルチバイトの半欠け削除 ##4-3##
	return str_replace("\0", "", $temp);
}
//
function sanitize1($str) {//#003
	if (is_array($str)) {
		$rtn = array();
		$t = $str;
		reset($t);
		while (list($key,$val) = each($t)) {
			if (!is_array($val)) {
				$rtn[$key] = sanitize($val);
			} else {
				$rtn[$key] = sanitize1($val);
			}
		}
	} else {
		$rtn = sanitize($str);
	}
	return $rtn;
}
//
function Sanitizep() {//#003 関数丸ごと入替
	if (my_count($_GET )>0) $_GET    = array_map("saniq" ,$_GET);
	if (my_count($_POST)>0) $_POST   = array_map("sanitize1" ,$_POST );
	if (my_count($_COOKIE)>0) $_COOKIE = array_map("sanitize" ,$_COOKIE );
	if (my_count($_SERVER)>0 ) $_SERVER = array_map("sanitize1" ,$_SERVER );
	if (my_count($_ENV)>0 ) $_SERVER = array_map("sanitize1" ,$_ENV );
}
function saniq($str) {//#003 関数追加
	$temp = str_replace("\x1a", "", $str);//eof
	$temp = str_replace("%00", "", $temp);//urlエンコードしたときのnull表現 
	$temp = mb_convert_encoding($temp,MYENCODE,MYENCODE);//マルチバイトの半欠け削除 ##4-3## 
	return str_replace("\0", "", $temp);
}
// 改行コードの除去 ##4-2##
function stlip_nl($str) {
	$temp = str_replace("\r\n", "", $str);//for ms-dos 最長一致 ie ヘッダーの区切り文字は\r\n
	$temp = str_replace("\r", "", $temp);//for mac
	return str_replace("\n", "", $temp);//for unix
}
//
function stlip_nlg($str) {//$_GET用
	$temp = str_ireplace("%0d%0a", "", $str);//for ms-dos 最長一致 ie ヘッダーの区切り文字は\r\n
	$temp = str_ireplace("%0d", "", $temp);//for mac
	return str_ireplace("%0a", "", $temp);//for unix
}
//
function stlip_nl1($str) {//#003 関数丸ごと入替
	if (is_array($str)) {
		$rtn = array();
		$t = $str;
		reset($t);
		while (list($key,$val) = each($t)) {
			if (!is_array($val)) {
				$rtn[$key] = stlip_nl($val);
			} else {
				$rtn[$key] = stlip_nl1($val);//#121024my_die(1,2,"正常な使用方法ではあり得ない、多次元配列が指定された。",$msg);
			}
		}
	} else {
		$rtn = stlip_nl($str);
	}
	return $rtn;
}

//

//---------------------形式チェック用----------------------------------
function syntax_check($check_vars) {//#003
	$post = array();//#003
	$error = array();//#003
	$emsg = "";//#003
	$cnt = 0;
	foreach ($check_vars as $key=>$value) {
		if (isset($_POST[$key]) && (!is_array($_POST[$key]) || CHECKBOX==$value[3] || CHKANY==$value[3])) {//#009 #150514 CHKANY追加 #151014 Eエラー抑止
			if (SPCNVTRM) {//#023 #160108---------------
				//#151208---------全角空白を半角に変換するs、前後をトリムする処理をここで一括して行う。関数によりこの処理の有無のばらつき対策
				//既に関数中に同じ処理がある場合は、それがnopになる。
				if (!is_array($_POST[$key])) {//#151209 配列にたいするエラー回避
						if (NLSTRING!=$value[3]) {$_POST[$key]= mb_convert_kana(asenv_stripslashes($_POST[$key]),"s",MYENCODE);}//#160201
						$_POST[$key] = (NLSTRING!=$value[3]) ? trim($_POST[$key]) : rtrim($_POST[$key]);
				} 
			}//---------#023
			switch($value[3]) {
				case HKANA://#012 150511
					$temp = is_hirakana($_POST[$key],$value[4]);
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の長さが不当です。</span>";//#024 160108
					} elseif (3 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#024 160108
					}
					break;
				case KKANA://#012 150508
					$temp = is_katakana($_POST[$key],$value[4]);
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の長さが不当です。</span>";//#024 160108
					} elseif (3 == $temp[0]){
						$tmsg = (isset($temp[2]) && ""!=$temp[2]) ? $temp[2] : "";//#151106　//#151111　isset追加
						$error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。".$tmsg."</span>";//#151106　#024 160108
					}
					break;
				case FTELNO://#012 150427
				case FTELNO1:
					if (FTELNO1==$value[3]) {//ハイフンなし
						$temp = is_ftel($_POST[$key]);
					} else {//ハイフンあり
						$temp = is_ftel($_POST[$key],$value[4],"yes");
					}
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
						 $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
						$tmpword = (FTELNO==$value[3]) ? "形式" : "長さ" ;//#151102
					  $error[$key] = "<span class=\"c_r\">" . $value[1] . "の" . $tmpword . "が不当です。</span>";//#151102
					} elseif (3 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					}
					break;
				case MTELNO://#012 150427
				case MTELNO1:
					if (MTELNO1==$value[3]) {//ハイフンなし
						$temp = is_mtel($_POST[$key]);
					} else {//ハイフンあり
						$temp = is_mtel($_POST[$key],$value[4],"yes");
					}
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
						 $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
						$tmpword = (MTELNO==$value[3]) ? "形式" : "長さ" ;//#151102
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の" . $tmpword . "が不当です。</span>";//#151102
					} elseif (3 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					}
					break;
				case SELANY://#014 150106
				case RDOANY://#014 150305
				case CHKANY://#014 150305
					//-------is_***相当
					$temp = array();
					if (CHKANY!=$value[3]) {//#150514 CHKANYサポート
						if (!isset($_POST[$key]) || ""==$_POST[$key]) $temp[0]=1;
						elseif (mb_strlen($_POST[$key])>$value[4]) $temp[0]=2;
						else $temp[0]=0;
						$temp[1] = $_POST[$key];
					} else {//#150514----------
						if (!isset($_POST[$key]) || !is_array($_POST[$key])) { $temp[0]=1; }
						else {
							//!!! $key=dim_indexのバリデーション
							//!!! val=valueのバリデーション
							$temp[0]=0;
							foreach ($_POST[$key] as $key1 => $val) {//$key=dim_index,val=value
								if (mb_strlen($key1)>$value[4]) {
									$temp[0]=2;
									break;
								} else $post[$key][$key1] = $val;
							}
						}
					}//---------#150514
					//-----------------------
					if (CHKANY!=$value[3]) {$post[$key] = $temp[1];}//#150514
					if (1 == $temp[0] && "1" == $value[2]) {
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#024 160108
					}
					break;
				case STRING:
					$temp = string_check($_POST[$key],$value[4],"KV","");//#010
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#024 160108
					}
					break;
				case NLSTRING:
					$temp = letter_check($_POST[$key],$value[4],"KV","");//#010
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#024 160108s
					}
					break;
				case INT:
				//#140730 case ZRADIO:
					$temp = is_onlynum($_POST[$key],$value[4]);
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {//NULL
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";//#160205 「が指定されていません。」追加
					} elseif (2 == $temp[0]){//上限オーバー。文字のlength over相当
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の値または桁数が不当です。</span>";//#150513
					} elseif (3 == $temp[0]){//0-9以外の文字あり
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#150513
					}
					break;
				case NZINT:
				case RADIO:
				case LISTBOX://#012
					$temp = is_onlynum_nz($_POST[$key],$value[4]);
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {//NULL
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){//上限オーバー。文字のlength over相当 0もエラー
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					} elseif (3 == $temp[0]){//0-9以外の文字あり
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					}
					break;
				case EMAIL:
					$tmpmax = (isset($value[4])) ? $value[4] : "";//#025 #160114 最大長変更可能に
					$temp = is_email1($_POST[$key],$tmpmax);//#160114
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
						 $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					} elseif (3 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					}
					break;
				case CHECKBOX:
					if (""==$_POST[$key]) {
						$post[$key] ="";
						if ("1" == $value[2]) {//NULL
						   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
						} 
					} else {//#160209　2次元以上の配列をチェックアウトする。
						$tmp = $_POST[$key];//#160209 
						if (is_array($tmp)) {//#160209
							$elm = array_shift($tmp);//#160209
							if (is_array($elm)) {//#160209
								$error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";//#160209
								$post[$key]="";//#160209
							} else {//#160209
								for ($i=0;$i<my_count($_POST[$key]);$i++) {
									$temp = is_onlynum_nz($_POST[$key][$i],$value[4]);
									$post[$key][$i] = $temp[1];
									if (1 == $temp[0] && "1" == $value[2]) {//NULL
									   $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
									} elseif (2 == $temp[0]){//上限オーバー。文字のlength over相当 0もエラー
									   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
									} elseif (3 == $temp[0]){//0-9以外の文字あり
									   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
									}
								}
							}//#160209
						}//#160209
					}//#160209
					break;
				case POSTCODE:
					$temp = is_postcode($_POST[$key]);
					$post[$key] = $temp[1];
					if (1 == $temp[0] && "1" == $value[2]) {
						 $error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
					} elseif (2 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					} elseif (3 == $temp[0]){
					   $error[$key] = "<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
					}
					break;
			}
		} else {//#009 (1)存在しない または　(2)変数が配列データ＆CHECKBOX以外＆CHKANY以外
			if (!isset($_POST[$key])) {//(1)存在しない
				if ("1"!=$value[2]) {//データなしを許容 #160118 2=条件付き必須が不当な動作
					$temp[0]=0;
				} else {//必須
					$temp[0]=1;
					$error[$key] = "<span class=\"c_r\">" . $value[1] . "が指定されていません。</span>";
				}
			} else {//(2)変数が配列データ＆CHECKBOX以外＆CHKANY以外
				$temp[0]=2;
				$error[$key]="<span class=\"c_r\">" . $value[1] . "の形式が不当です。</span>";
			}
			$temp[1]="";
			$post[$key]="";
		}
		if (isset($error[$key]) && "" != $error[$key]) {//#018
			$error[$key] = str_replace(array('<span class="c_r">','</span>'),array(EMSGS,EMSGE),$error[$key]);//#018
			$emsg .= $error[$key] . '<br>';
		}
		$cnt++;
	}
	return array($post,$error,$emsg);//#003
}
//
function is_katakana($str,$len) {//#012 150424 KKANA　カタカナ 区点30A0 ～ 30FF utf-8文字コードも連続配置
	/*#151106---------半角カナに含まれる以下の二つの文字は全角カナに変換したくても、対応するものがない。そのため、mb_convert_kanaがひらがなに変換している。
	よって、preg_matchのカタカナ判定でエラーになる。変換しているのは半角カナを避けるため。エラーにするしかない。エラーメッセージを拡張する。*/
	$unconvert = 0;
	if (preg_match("/(ﾞ|ﾟ)/u",$str)) {
		$unconvert = 1;
	}//---------#151106
	if (!isset($str) || "" == $str) {
		return array(1,"");/////////////////////////////////NULL
	} else {
		$temp = trim(mb_convert_kana(asenv_stripslashes($str),"sKCV",MYENCODE));//半角空白に、全角カタカナへ、全ひらを全カナへ
		if (mb_strlen($temp) > $len) {
			return array(2,$temp);//////////////////////length over
		} else {
			if (preg_match("/^[ァ-ヾー\s]+$/u",$temp)) {//#150424 空白は受理しない。ァ-ヾは連続領域に配置。#150511範囲の末尾文字変更 #151105 空白を受理へ
				//u	マルチバイト（UTF-8）対応
				if (!MPKATAOK && preg_match("/・/u",$temp)) {return array(3,$temp);}//#151112　中点をエラーに #160205 configで使用可能に
				return array(0,$temp);//////////////normal
			} else {
				if ($unconvert) {return array(3,$temp," 直前の文字に対し半角のﾞ または ﾟ は使用出来ません。");}//#151110
				return array(3,$temp);//////////////カタカナ以外あり
			}
		}
	}
}
//
function is_hirakana($str,$len) {//#012 150511 HKANA ひらがな 区点3040 ～ 309Fに配置。utf-8文字コードも連続配置
	if (!isset($str) || "" == $str) {
		return array(1,"");/////////////////////////////////NULL
	} else {
		$temp = trim(mb_convert_kana(asenv_stripslashes($str),"sHcV",MYENCODE));//半角空白に、半/全カタカナをひらがなへ
		if (mb_strlen($temp) > $len) {
			return array(2,$temp);//////////////////////length over
		} else {
			$needle = (MPHIRAOK) ? "/^[ぁ-ゞー・\s]+$/u" : "/^[ぁ-ゞー\s]+$/u" ;
			// 空白は受理しない。ぁ-ゞは連続領域に配置。#151105 空白を受理へ #160205中点をconfigで使用可能に
			if (preg_match($needle,$temp)) {
				//u	マルチバイト（UTF-8）対応
				if (preg_match("/[゛゜]/u",$temp)) {return array(3,$temp);}//#151112　単独の濁点、半濁点をエラーに
				if (FALSE!==strpos($temp,0xe38299) || FALSE!==strpos($temp,0xe3829a)) {return array(3,$temp);}//#151112　第二の単独の濁点、半濁点をエラーに
				return array(0,$temp);//////////////normal
			} else {
				return array(3,$temp);//////////////ひらがな以外あり
			}
		}
	}
}
//
function is_ftel($str,$len="",$delim="") {//#012 150427 固定電話番号　例　0829422423
/* 固定電話の形式チェック　*/
	$adj = (""!=$delim) ? 2: 0;//デフォルトはハイフンなしで桁数２増加
	$len = ("0"==$len || ""==$len) ? (10+$adj): $len;//check_tblの上限0を特定用途で　!!
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$str = str_replace(array("－","ー"),"-",$str);//#150729全角ハイフンを半角に自動変換　#151102　全角ハイフン文字を変更
		if (""==$delim) {$str = str_replace("-","",$str);}//#151102
		$temp = trim(mb_convert_kana(asenv_stripslashes($str),"sn",MYENCODE));
		if (mb_strlen($temp) != $len) {
			return array(2,$temp);//////////////length over
		} else {
			if (""!=$delim) {
				if (!preg_match("/^[0][0-9]+[-][0-9]+[-][0-9]+$/",$temp)) {
					return array(3,$temp);//////////////形式エラー
				} 
			} else {
				if (!preg_match("/^[0][0-9]+$/",$temp)) {
					return array(3,$temp);//////////////形式エラー
				} 
			}
			return array(0,$temp);//////////////normal
		}
	}
}
//
function is_mtel($str,$len="",$delim="") {//#141031
/* 携帯電話の形式チェック　*/
	$adj = (""!=$delim) ? 2: 0;//デフォルトはハイフンなしで桁数２増加
	$len = ("0"==$len || ""==$len) ? (11+$adj): $len;//check_tblの上限0を特定用途で　!!
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$str = str_replace(array("－","ー"),"-",$str);//#150729全角ハイフンを半角に自動変換　#151102　全角ハイフン文字を変更
		if (""==$delim) {$str = str_replace("-","",$str);}//#151102
		$temp = trim(mb_convert_kana(asenv_stripslashes($str),"sn",MYENCODE));
		if (mb_strlen($temp) != $len) {
			return array(2,$temp);//////////////length over
		} else {
			if (""!=$delim) {
				if (!preg_match("/^(".MTELPRE.")[-][0-9]+[-][0-9]+$/",$temp)) {//#150623 060に備えdefineに切出し
					return array(3,$temp);//////////////形式エラー
				} 
			} else {
				if (!preg_match("/^(".MTELPRE.")[0-9]+$/",$temp)) {//#150623 060に備えdefineに切出し
					return array(3,$temp);//////////////形式エラー
				} 
			}
			return array(0,$temp);//////////////normal
		}
	}
}
// メールアドレス形式のチェック
//#001 eregを他の関数に変更。さくらPHP5.3.10で確認済のものと関数ごと置き換え
function is_email1($email,$len="") {
/*
	初期バージョンはwikipedia	https://ja.wikipedia.org/wiki/%E3%83%A1%E3%83%BC%E3%83%AB%E3%82%A2%E3%83%89%E3%83%AC%E3%82%B9
	の情報を元に、Dot-stringに沿ってエラーチェックした。
	01-01ではローカル部のチェック以外はJPNICの	https://www.nic.ad.jp/ja/dom/system.html
	のページに合わせて、上限値の変更
	と	ラベルの先頭（これはすでにチェックアウトしてる）と末尾の文字をハイフンとするのは不可のエラーチェックを追加した。 
*/
	$len = (""==$len) ? EMALLLEN : $len;//#027 #160205 256>
//----------------------------------------
	if (!isset($email) || "" == $email) return array(1,"");//////////////////////////NULL
	else {
		$temp = trim(mb_convert_kana(asenv_stripslashes($email),"sa",UTF));
		if (mb_strlen($temp) > $len) return array(2,$temp);//////////////length over
		else {
			$tmp = explode("@",$temp);
			if (!is_array($tmp) || 2!=my_count($tmp)) return array(2,$temp);//////////////
			else {
				//-----ローカル部チェック
				if (EMLCLLEN < mb_strlen($tmp[0])) return array(2,$temp);//////////////#027
				else {
					if (!mb_ereg("[0-9a-zA-Z_,\.!#$%&'\*\+/=\?^`\{\|\}-]+",$tmp[0])) return array(2,$temp);//////////////
					elseif (mb_ereg("^\.",$tmp[0]) || mb_ereg("\.$",$tmp[0]) || mb_ereg("\.\.",$tmp[0])) return array(2,$temp);//////////////
					else {
						//-----ドメインチェック
						if (EMDOMLEN < mb_strlen($tmp[1])) return array(2,$temp);//////////////#027 #160205 255>
						else {
							$tmpd = explode(".",$tmp[1]);
							if (!is_array($tmpd)) return array(2,$temp);//////////////
							for ($i=0;$i<my_count($tmpd);$i++) {
								if (!mb_ereg("^[0-9A-Za-z][0-9a-zA-Z\-]*",$tmpd[$i]) || ""==$tmpd[$i] || mb_ereg("\-$",$tmpd[$i]) || EMLBLLEN < mb_strlen($tmpd[$i])) return array(2,$temp);
									//#027 +>* #160205 末尾がハイフンをエラーとした。
							}
						}
					}
				}
			}
		}
	}
//------------------------------------
	return array(0,$temp);
}
//
function letter_check($str,$len,$type,$strip) {
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$temp = rtrim(mb_convert_kana(asenv_stripslashes($str),$type,UTF));//後方の空白だけ削除
		if (mb_strlen($temp) > $len) {
			return array(2,$temp);//////////////length over
		} else {
			return array(0,$temp);//////////////normal
		}
	}
}
//
function string_check($str,$len,$type) {
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$temp = trim(mb_convert_kana(asenv_stripslashes($str),$type,UTF));
		if (mb_strlen($temp) > $len) {
			return array(2,$temp);//////////////length over
		} else {
			return array(0,$temp);//////////////normal
		}
	}
}
//
//#001 eregを他の関数に変更。さくらPHP5.3.10で確認済のものと関数ごと置き換え
function is_onlynum($str,$max="") {//#150513 $maxサポート
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$temp = trim(mb_convert_kana($str,"sn",UTF));
		if (!preg_match("/^[0-9]+$/",$temp)) {//#140804
			return array(3,$temp);//////////////0-9以外の文字あり#150513 2>
		} elseif (""!=$max && $max<$temp) {//#150513------
			return array(2,$temp);//////////////out of ranege
		} else {//--------#150513
			return array(0,$temp);//////////////normal
		}
	}
}
//
function is_onlynum_nz($str,$max) {
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$temp = trim(mb_convert_kana($str,"sn",UTF));
		if (!preg_match("/^[0-9]+$/",$temp)) {//#140804
			return array(3,$temp);//////////////0-9以外の文字あり
		} else {
			if ($max >= $temp) {
				if (0 == $temp) {
					return array(2,$temp);///0をエラーにする
				} else {
					return array(0,$temp);//////////////normal
				}
			} else {
				return array(2,$temp);////上限オーバー。文字のlength over相当
			}
		}
	}
}
//
//
//#001 eregを他の関数に変更。さくらPHP5.3.10で確認済のものと関数ごと置き換え
//
function is_postcode($str) {
	if (!isset($str) || "" == $str) {
		return array(1,"");//////////////////////////NULL
	} else {
		$str = str_replace(array("－","ー","-"),"",$str);//#028 "-">"" & 半角ハイフンも取る。 #019全角ハイフンを半角に自動変換 #160307 変換元が全角ハイフンになってなかった。
		$temp = trim(mb_convert_kana($str,"sn",UTF));
		if (!mb_ereg("^[0-9]+$",$temp)) {//#028 "^[0-9]+[-][0-9]+$">
			return array(3,$temp);//////////////0-9以外の文字あり
		} elseif (7!=mb_strlen($temp)) {//#028 8> #ハイフンを入れて８桁
			return array(2,$temp);////////////////#150427 3> 
		} else return array(0,$temp);//////////////normal
	}
}
//---------------------その他----------------------------------
//#160219 以下の関数を追加
function url_list($dir,$needle,$type="dir") {
	$filecnt = 0;
	// 既知のディレクトリをオープンし、その内容を読み込みます。
	if (""==$_POST['EZPASS'] && $handle = opendir($dir)) {
		while (false !== ($file = readdir($handle))) {
	  	if ($file != "." && $file != "..") {
	    	if (("dir" != $type) && mb_ereg("\.$type",$file)) {
					if ($needle==$file) {
						$_POST['EZPASS'] = $dir;//#160222 $dir."/" は//になる。>
						break;
					}
				}	elseif ("dir"==filetype($dir . $file)) {
					if ($needle==$file) {
						$_POST['EZPASS'] = $dir.$file."/";
						break;
					}
					url_list("$dir$file/",$needle,$type);
				}
	    } 
		}
	  closedir($handle);
	}
	return;
}
//
function bothcut($str) {
	return substr($str,1,strlen($str)-2);
}
//
function my_req($relfile) {//#150626 色んなパスを探さず、決め打ちにする。$relfileはこのファイルの位置が起点
	require(dirname(__FILE__)."/$relfile");
}
//--------#160219
//
function my_count($dim) {//#151015
	if (isset($dim) && is_array($dim)) {return count($dim);}
  else {return 0;}
}

function vd_die($dim) {
  var_dump($dim);die;
}
//

function my_die($pc,$rc,$closemsg="",$openmsg="",$anytext_intomail="") {

// $closemsg,$openmsg共に、画面に表示するに日本語メッセージ
// $closemsgはデバッグ時のみに見えるメッセージ
// $openmsgは稼働時もユーザーに見せるERRMSGに追加するメッセージ
//-----------これを呼ぶ以前にechoしたHTMLは表示されます。以下はページの一部として出ます。-----

if (!DBG) {//--稼働環境時
	$message = ERRMSG.$openmsg;
	$mailmsg = "Reason Code:$rc"."; Time:".date("Y/m/d H:i:s")."; IPaddr:".$_SERVER['HTTP_X_FORWARDED_FOR'];
	if ("" != $anytext_intomail) $mailmsg .= $anytext_intomail;//#120110
	mail(POSTMASTER,"Error occured on ".MYDOMAIN,$mailmsg);//--サイト管理者に通知。エラー発生の確立を最小にするためにmail関数を使用
} else {//--デバッグ時
	$message = $openmsg.$closemsg;
}
$tmp =
'<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="utf-8">
<link href="style.css" rel="stylesheet">
<title>'
. OWERNAME ."―エラー通知画面" .
'</title>
</head>
<body>'
.$message.
'</body>
';
echo $tmp;
exit;
}

//---------------------初期設定処理------------------------------
$dbg = DBG;//従来処理に対する互換性のため

//---------------------レポート制御------------------------------
if (0 == $dbg) {
	error_reporting (0);
	ini_set('display_errors', '0');//#160302
	error_reporting (-1);//#160302
} else if (1 == $dbg)  {
	ini_set('display_errors', '1');//#007
	error_reporting (-1);//#160302 E_ALL>
} else {
	ini_set('display_errors', '1');//#007
	error_reporting (E_ALL & ~E_NOTICE);
}
ini_set('log_errors', '1');//#007
ini_set('log_errors_max_len', '4096');//#007
ini_set( 'error_log', MBOXPASS.'../elog.txt' );//#007#140821
//---------------------セッション制御----------------------------

//---------------------改行文字の削除----------------------------
$ex_nl = array();
$i = 0;
//require("check_values_form.".CGITYPE);//#005
$chk_tblpass = (!isset($chk_tblpass)) ? $chk_tblname : $chk_tblpass;//#011
$tmppass = "../".$chk_tblpass."/check_tbl_$chk_tblname".".".CGITYPE;//#011
require($tmppass);//#011

foreach ($check_vars as $key=>$value) {
	if ($value[0]) {
		$ex_nl[$i] = $key;
		$i++;
	}
}
Stlip_NLp($ex_nl);

//---------------------　NULLバイトと\x1aの削除------------------
Sanitizep();

//---------------------　PHPSESSID注入の除去------------------
unset($_GET['PHPSESSID'],$_POST['PHPSESSID']);//#111217

//---------------------クッキー処理------------------------------

//---------------------アクセス元判別----------------------------
$pc = 1;//従来処理に対する互換性のため
date_default_timezone_set('Asia/Tokyo');//#001

?>
